Package org.pushingpixels.substance.internal.ui

# Class SubstanceScrollPaneUI.AdjustedLayout

java.lang.Object
javax.swing.ScrollPaneLayout
org.pushingpixels.substance.internal.ui.SubstanceScrollPaneUI.AdjustedLayout

All Implemented Interfaces:
  `LayoutManager`, `Serializable`, `UIResource`, `ScrollPaneConstants`

Enclosing class:
  `SubstanceScrollPaneUI`

protected static class SubstanceScrollPaneUI.AdjustedLayout extends ScrollPaneLayout implements UIResource
Layout manager to adjust the bounds of scrollbars and the viewport when the default (`SubstanceScrollPaneBorder`) border is set on the relevant `JScrollPane`.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.ScrollPaneLayout

`ScrollPaneLayout.UIResource`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ScrollPaneLayout`
`delegate`
The delegate layout.

### Fields inherited from class javax.swing.ScrollPaneLayout

`colHead, hsb, hsbPolicy, lowerLeft, lowerRight, rowHead, upperLeft, upperRight, viewport, vsb, vsbPolicy`

### Fields inherited from interface javax.swing.ScrollPaneConstants

`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

## Constructor Summary

Constructors
Constructor
Description
`AdjustedLayout(ScrollPaneLayout delegate)`
Creates a new layout for adjusting the bounds of scrollbars and the viewport.

## Method Summary

Modifier and Type
Method
Description
`void`
`addLayoutComponent(String s, Component c)`
`boolean`
`equals(Object obj)`
`JViewport`
`getColumnHeader()`
`Component`
`getCorner(String key)`
`JScrollBar`
`getHorizontalScrollBar()`
`int`
`getHorizontalScrollBarPolicy()`
`JViewport`
`getRowHeader()`
`JScrollBar`
`getVerticalScrollBar()`
`int`
`getVerticalScrollBarPolicy()`
`JViewport`
`getViewport()`
`Rectangle`
`getViewportBorderBounds(JScrollPane scrollpane)`
`int`
`hashCode()`
`void`
`layoutContainer(Container parent)`
`Dimension`
`minimumLayoutSize(Container parent)`
`Dimension`
`preferredLayoutSize(Container parent)`
`void`
`removeLayoutComponent(Component c)`
`void`
`setHorizontalScrollBarPolicy(int x)`
`void`
`setVerticalScrollBarPolicy(int x)`
`void`
`syncWithScrollPane(JScrollPane sp)`
`String`
`toString()`

### Methods inherited from class javax.swing.ScrollPaneLayout

`addSingletonComponent`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### delegate

protected ScrollPaneLayout delegate
The delegate layout.

## Constructor Details

### AdjustedLayout

public AdjustedLayout(ScrollPaneLayout delegate)
Creates a new layout for adjusting the bounds of scrollbars and the viewport.

Parameters:
  `delegate` - The original (delegate) layout.

## Method Details

### addLayoutComponent

public void addLayoutComponent(String s, Component c)

Specified by:
  `addLayoutComponent` in interface `LayoutManager`
Overrides:
  `addLayoutComponent` in class `ScrollPaneLayout`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getColumnHeader

public JViewport getColumnHeader()

Overrides:
  `getColumnHeader` in class `ScrollPaneLayout`

### getCorner

public Component getCorner(String key)

Overrides:
  `getCorner` in class `ScrollPaneLayout`

### getHorizontalScrollBar

public JScrollBar getHorizontalScrollBar()

Overrides:
  `getHorizontalScrollBar` in class `ScrollPaneLayout`

### getHorizontalScrollBarPolicy

public int getHorizontalScrollBarPolicy()

Overrides:
  `getHorizontalScrollBarPolicy` in class `ScrollPaneLayout`

### getRowHeader

public JViewport getRowHeader()

Overrides:
  `getRowHeader` in class `ScrollPaneLayout`

### getVerticalScrollBar

public JScrollBar getVerticalScrollBar()

Overrides:
  `getVerticalScrollBar` in class `ScrollPaneLayout`

### getVerticalScrollBarPolicy

public int getVerticalScrollBarPolicy()

Overrides:
  `getVerticalScrollBarPolicy` in class `ScrollPaneLayout`

### getViewport

public JViewport getViewport()

Overrides:
  `getViewport` in class `ScrollPaneLayout`

### getViewportBorderBounds

public Rectangle getViewportBorderBounds(JScrollPane scrollpane)

Overrides:
  `getViewportBorderBounds` in class `ScrollPaneLayout`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### minimumLayoutSize

public Dimension minimumLayoutSize(Container parent)

Specified by:
  `minimumLayoutSize` in interface `LayoutManager`
Overrides:
  `minimumLayoutSize` in class `ScrollPaneLayout`

### preferredLayoutSize

public Dimension preferredLayoutSize(Container parent)

Specified by:
  `preferredLayoutSize` in interface `LayoutManager`
Overrides:
  `preferredLayoutSize` in class `ScrollPaneLayout`

### removeLayoutComponent

public void removeLayoutComponent(Component c)

Specified by:
  `removeLayoutComponent` in interface `LayoutManager`
Overrides:
  `removeLayoutComponent` in class `ScrollPaneLayout`

### setHorizontalScrollBarPolicy

public void setHorizontalScrollBarPolicy(int x)

Overrides:
  `setHorizontalScrollBarPolicy` in class `ScrollPaneLayout`

### setVerticalScrollBarPolicy

public void setVerticalScrollBarPolicy(int x)

Overrides:
  `setVerticalScrollBarPolicy` in class `ScrollPaneLayout`

### syncWithScrollPane

public void syncWithScrollPane(JScrollPane sp)

Overrides:
  `syncWithScrollPane` in class `ScrollPaneLayout`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### layoutContainer

public void layoutContainer(Container parent)

Specified by:
  `layoutContainer` in interface `LayoutManager`
Overrides:
  `layoutContainer` in class `ScrollPaneLayout`